Name:		HPGLplotter
Version:	1.23
Release:	1%{?dist}
Summary:	GPIB / HPGL Plotter Emulator

Group:		Applications
License:	GPL3
URL:		https://github.com/vk2bea/HPGL-Plotter
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXX)

BuildRequires:	glib2-devel, gtk4-devel, linux-gpib-devel, systemd-devel
BuildRequires:  gcc

Requires:	glib2, gtk4, linux-gpib, systemd-libs

%description

%global debug_package %{nil}

%prep
%setup -q
zcat $RPM_SOURCE_DIR/%{name}-%{version}.tar.gz | tar -xvf -

%build
make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/local/share/fonts/HPGLplotter
mkdir -p $RPM_BUILD_ROOT/usr/local/share/pixmaps
mkdir -p $RPM_BUILD_ROOT/usr/local/share/icons/hicolor/256x256/apps
mkdir -p $RPM_BUILD_ROOT/usr/local/share/icons/hicolor/512x512/apps
mkdir -p $RPM_BUILD_ROOT/usr/local/share/icons/hicolor/48x48/apps
mkdir -p $RPM_BUILD_ROOT/usr/local/share/icons/hicolor/scalable/apps
mkdir -p $RPM_BUILD_ROOT/usr/local/share/glib-2.0/schemas/

cp Release/HPGLplotter $RPM_BUILD_ROOT/usr/local/bin/HPGLplotter
cp Resources/HPGLplotter.desktop $RPM_BUILD_ROOT/usr/local/share/applications/
cp Resources/HPGLplotter.svg $RPM_BUILD_ROOT/usr/local/share/pixmaps/
cp Resources/NotoSansMono-Light.ttf $RPM_BUILD_ROOT/usr/local/share/fonts/HPGLplotter/
cp Resources/hicolor/scalable/apps/HPGLplotter.svg $RPM_BUILD_ROOT/usr/local/share/icons/hicolor/scalable/apps/
cp Resources/hicolor/48x48/apps/HPGLplotter.png $RPM_BUILD_ROOT/usr/local/share/icons/hicolor/48x48/apps/
cp Resources/hicolor/256x256/apps/HPGLplotter.png $RPM_BUILD_ROOT/usr/local/share/icons/hicolor/256x256/apps/
cp Resources/hicolor/512x512/apps/HPGLplotter.png $RPM_BUILD_ROOT/usr/local/share/icons/hicolor/512x512/apps/
cp Resources/HPGLplotter.svg $RPM_BUILD_ROOT/usr/local/share/pixmaps/
cp src/us.heterodyne.hpgl-plotter.gschema.xml $RPM_BUILD_ROOT/usr/local/share/glib-2.0/schemas/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
/usr/local/bin/HPGLplotter
/usr/local/share/pixmaps/HPGLplotter.svg
/usr/local/share/fonts/HPGLplotter/NotoSansMono-Light.ttf
/usr/local/share/applications/HPGLplotter.desktop
/usr/local/share/icons/hicolor/scalable/apps/HPGLplotter.svg
/usr/local/share/icons/hicolor/48x48/apps/HPGLplotter.png
/usr/local/share/icons/hicolor/256x256/apps/HPGLplotter.png
/usr/local/share/icons/hicolor/512x512/apps/HPGLplotter.png
/usr/local/share/glib-2.0/schemas/us.heterodyne.hpgl-plotter.gschema.xml
%doc

%post
fc-cache /usr/local/share/fonts/HPGLplotter
gtk-update-icon-cache --ignore-theme-index /usr/local/share/icons/hicolor/
glib-compile-schemas /usr/local/share/glib-2.0/schemas


%preun

%postun


%changelog
* Thu Jul 11 2024 - vk2bea+RPM@gmail.com
- Release GPIB REN line when returning the GPIB controller to system controller
* Sat May 04 2024 - vk2bea+RPM@gmail.com
- Disable Cairo font hinting (to avoid font size quantization)
* Mon Apr 29 2024 - vk2bea+RPM@gmail.com
- Add UC; HPGL command
* Wed Mar 13 2024 - vk2bea+RPM@gmail.com
- Initial build
